LINK.Utils = {};

LINK.Utils.getOffset = function (el) {
	var _x = 0;
	var _y = 0;
	while (el && !isNaN(el.offsetLeft) && !isNaN(el.offsetTop)) {
		_x += el.offsetLeft - el.scrollLeft;
		_y += el.offsetTop - el.scrollTop;
		el = el.offsetParent;
	}
	return {
		top: _y,
		left: _x
	};
};

LINK.Utils.requestAnimFrame = function () {
	return window.requestAnimationFrame ||
		window.webkitRequestAnimationFrame ||
		window.mozRequestAnimationFrame ||
		window.oRequestAnimationFrame ||
		window.msRequestAnimationFrame || function ( /* function FrameRequestCallback */ callback, /* DOMElement */ element) {
			element = element;
			window.setTimeout(callback, 1000 / 60);
	};
}.bind(window)();